[Libreoffice-commits] .: Branch 'libreoffice-3-3' - bin/piece

Petr Mladek pmladek at kemper.freedesktop.org
Wed Jan 19 07:23:50 PST 2011


 bin/piece/desktop-support-app |   19 ++++++++++++-------
 bin/piece/install-bootstrap   |    4 ++++
 bin/piece/sys-setup.in        |    1 +
 3 files changed, 17 insertions(+), 7 deletions(-)

New commits:
commit 55b768009ce11a719a18e0b59d3214351cca2047
Author: Petr Mladek <pmladek at suse.cz>
Date:   Wed Jan 19 16:22:51 2011 +0100

    install compat oo* wrappers also in the split build
    
    affect only the SUSE build => no need to be signed off

diff --git a/bin/piece/desktop-support-app b/bin/piece/desktop-support-app
index 0f0293c..07ae20f 100755
--- a/bin/piece/desktop-support-app
+++ b/bin/piece/desktop-support-app
@@ -26,7 +26,7 @@ EOT
 create_man_link()
 {
     mkdir -p $DESTDIR$OO_MANDIR/man1
-    echo ".so man1/openoffice.1" >| $DESTDIR$OO_MANDIR/man1/$1.1
+    echo ".so man1/$2.1" >| $DESTDIR$OO_MANDIR/man1/$1.1
     gzip $DESTDIR$OO_MANDIR/man1/$1.1
     test -n "$DESTDIR" && echo "$OO_MANDIR/man1/$1.1.gz" >>files-$piece.txt
 }
@@ -90,7 +90,8 @@ install_icon()
 
 case "$app" in
     "fromtemplate")
-	create_wrapper "oofromtemplate" "soffice" "" || exit 1;
+	create_wrapper "lofromtemplate" "soffice" "" || exit 1;
+        test "$COMPAT_OOWRAPPERS" == 'YES' && create_wrapper "oofromtemplate" "soffice" "" || exit 1;
 	install_desktop_file template || exit 1;
 	;;
     "unopkg")
@@ -100,15 +101,19 @@ case "$app" in
 	install_icon mimetypes application-vnd.openofficeorg.extension || exit 1;
 	;;
     "ooffice")
-	create_wrapper ooffice soffice "" || exit 1;
-	create_man_link ooffice openoffice || exit 1;
+	create_wrapper libreoffice soffice "" || exit 1;
+        test "$COMPAT_OOWRAPPERS" == 'YES' && create_wrapper ooffice soffice "" || exit 1;
 	install_desktop_file startcenter || exit 1;
 	install_icon apps ooo-gulls || exit 1;
-	install_man openoffice || exit 1;
+	install_man libreoffice || exit 1;
+        test "$COMPAT_OOWRAPPERS" == 'YES' && create_man_link ooffice libreoffice || exit 1;
+        test "$COMPAT_OOWRAPPERS" == 'YES' && create_man_link openoffice libreoffice || exit 1;
 	;;
     *)
-	create_wrapper oo$app soffice "-$app" || exit 1;
-	create_man_link oo${app} openoffice || exit 1;
+	create_wrapper lo$app soffice "-$app" || exit 1;
+        test "$COMPAT_OOWRAPPERS" == 'YES' && create_wrapper oo$app soffice "-$app" || exit 1;
+	create_man_link lo${app} libreoffice || exit 1;
+        test "$COMPAT_OOWRAPPERS" == 'YES' && create_man_link oo${app} libreoffice || exit 1;
 	install_desktop_file $app || exit 1;
 	install_icon apps ooo-$app || exit 1;
 	;;
diff --git a/bin/piece/install-bootstrap b/bin/piece/install-bootstrap
index b2b3677..9a8c890 100755
--- a/bin/piece/install-bootstrap
+++ b/bin/piece/install-bootstrap
@@ -30,6 +30,10 @@ cp -a $TOOLSDIR/po/lo-build-*.sdf $LOINSTTOOLSDIR/po || exit 1;
 cp -a $TOOLSDIR/desktop/* $LOINSTTOOLSDIR/desktop || exit 1;
 cp -a $TOOLSDIR/man/* $LOINSTTOOLSDIR/man || exit 1;
 
+# the split scripts requires libreoffice.1.in
+# rename the original file for LO-3.4
+cp $LOINSTTOOLSDIR/man/openoffice.1.in $LOINSTTOOLSDIR/man/libreoffice.1.in
+
 # copy pieces of interest into src to be moved out later ...
 echo "copy source pieces"
 mkdir -p $LOINSTTOOLSDIR/src
diff --git a/bin/piece/sys-setup.in b/bin/piece/sys-setup.in
index 94e185a..d6a90fd 100755
--- a/bin/piece/sys-setup.in
+++ b/bin/piece/sys-setup.in
@@ -13,6 +13,7 @@ export OO_MANDIR=@mandir@
 export OO_DOCDIR=@docdir@
 export OO_LANGS='@OOO_LANGS@'
 export OOO_BUILD_NOARCH='@OOO_BUILD_NOARCH@'
+export COMPAT_OOWRAPPERS='@COMPAT_OOWRAPPERS@'
 # do not lost ARCH_FLAGS from the environmnet; potential duplicates should not harm
 export ARCH_FLAGS="$ARCH_FLAGS @WITH_ARCH_FLAGS@"
 


More information about the Libreoffice-commits mailing list